# Uses of Class
org.apache.commons.math3.linear.RealMatrixFormat

Packages that use RealMatrixFormat
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of RealMatrixFormat in org.apache.commons.math3.linear

Fields in org.apache.commons.math3.linear declared as RealMatrixFormat
Modifier and Type
Field
Description
`static final RealMatrixFormat`
MatrixUtils.`DEFAULT_FORMAT`
The default format for `RealMatrix` objects.
`static final RealMatrixFormat`
MatrixUtils.`OCTAVE_FORMAT`
A format for `RealMatrix` objects compatible with octave.
Methods in org.apache.commons.math3.linear that return RealMatrixFormat
Modifier and Type
Method
Description
`static RealMatrixFormat`
RealMatrixFormat.`getInstance()`
Returns the default real vector format for the current locale.
`static RealMatrixFormat`
RealMatrixFormat.`getInstance(Locale locale)`
Returns the default real vector format for the given locale.